Mailinglist Archive: opensuse-factory (673 mails)

< Previous Next >
[opensuse-factory] Okular: error message when opening any document. Complains abotu a factory-plugin.
Hello.
I have gotten a self made problem I am not able to resolve.
I post this in factory because:
a) this was caused time ago by the use of a obs home scan program that used
b) apparently some libs /filters of factory or did set a link ...
and now I cannot open pdf since about 6 month. So in the meanwhile it is not
life or death because I have TW on the same machine.
But:
I would like to find out what is the issue and repair it without if possible
have to install the whole OS again.
When you open in CLI Okular it opens well without documents.
When you try to open any pdf it says cannot be opened. On the CLI it shows the
error:okular

Connecting to deprecated signal
QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
kbuildsycoca4 running...
okular(2614)/okular (app) Okular::DocumentPrivate::loadGeneratorLibrary:
Invalid plugin factory for "okularGenerator_poppler"!

when then closing the error message you get in addition:
X Error: BadWindow (invalid Window parameter) 3
Major opcode: 20 (X_GetProperty)
Resource id: 0x5e000ed
X Error: BadWindow (invalid Window parameter) 3
Major opcode: 20 (X_GetProperty)
Resource id: 0x5e000ed
X Error: BadWindow (invalid Window parameter) 3
Major opcode: 18 (X_ChangeProperty)
Resource id: 0x5e000ed

Which may however be unrelated, I am using nvidia prop driver. The error came
up when I installed at the time a GTK based scan program from obs.

Now what did I try:
I did take off all not "regular" repos, did zypper dup to get to a base
installation.
I forced the reinstall of all ghostscript drivers, all okular and poppler
pagage (as of naming convention, that is that contains the name Okular or
poppler).
I tried to eliminate the hidden files in userland of Okular, I cleared the
cache (don't think that this could do any difference anyway).
Somewhere there must still be a link set to this factory version. And now I
came up to this point that okular starts....but not my pdf..
What do I miss? Where can I locate / how eliminate this "factory-plugin"
requirement?
Thank you and excuse me to ask a thing for Leap on this list, but as it is
related to a reminiscence of a factory package (at least it seems) I think you
might know.




---
Alle Postfächer an einem Ort. Jetzt wechseln und E-Mail-Adresse mitnehmen!
https://email.freenet.de/mail/Uebersicht?epid=e9900000451


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages